Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLANSB

    java.lang.Object
      org.netlib.lapack.DLANSB

    public class DLANSB

extends java.lang.Object

    DLANSB is a simplified interface to the JLAPACK routine dlansb.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLANSB  returns the value of the one norm,  or the Frobenius norm, or
     *  the  infinity norm,  or the element of  largest absolute value  of an
     *  n by n symmetric band matrix A,  with k super-diagonals.
     *
     *  Description
     *  ===========
     *
     *  DLANSB returns the value
     *
     *     DLANSB = ( max(abs(A(i,j))), NORM = 'M' or 'm'
     *              (
     *              ( norm1(A),         NORM = '1', 'O' or 'o'
     *              (
     *              ( normI(A),         NORM = 'I' or 'i'
     *              (
     *              ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     *
     *  where  norm1  denotes the  one norm of a matrix (maximum column sum),
     *  normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     *  normF  denotes the  Frobenius norm of a matrix (square root of sum of
     *  squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix no
     *
     *  Arguments
     *  =========
     *
     *  NORM    (input) CHARACTER*1
     *          Specifies the value to be returned in DLANSB as described
     *          above.
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies whether the upper or lower triangular part of the
     *          band matrix A is supplied.
     *          = 'U':  Upper triangular part is supplied
     *          = 'L':  Lower triangular part is supplied
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.  When N = 0, DLANSB is
     *          set to zero.
     *
     *  K       (input) INTEGER
     *          The number of super-diagonals or sub-diagonals of the
     *          band matrix A.  K >= 0.
     *
     *  AB      (input) DOUBLE PRECISION array, dimension (LDAB,N)
     *          The upper or lower triangle of the symmetric band matrix A,
     *          stored in the first K+1 rows of AB.  The j-th column of A is

     *          stored in the j-th column of the array AB as follows:
     *          if UPLO = 'U', AB(k+1+i-j,j) = A(i,j) for max(1,j-k)<=i<=j;
     *          if UPLO = 'L', AB(1+i-j,j)   = A(i,j) for j<=i<=min(n,j+k).
     *
     *  LDAB    (input) INTEGER
     *          The leading dimension of the array AB.  LDAB >= K+1.
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (MAX(1,LWORK)),
     *          where LWORK >= N when NORM = 'I' or '1' or 'O'; otherwise,
     *          WORK is not referenced.
     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`DLANSB()`

Method Summary
`static double` | `DLANSB(java.lang.String norm, java.lang.String uplo, int n, int k, double[][] ab, double[] work)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLANSB

    public DLANSB()

Method Detail

### DLANSB

    public static double DLANSB(java.lang.String norm,
                                java.lang.String uplo,
                                int n,
                                int k,
                                double[][] ab,
                                double[] work)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD